For the complete documentation index, see llms.txt. This page is also available as Markdown.

Copy

Copy

post

Copy (duplicate) a published item.

Path parameters
idinteger · int32Required

ID of Pub item to duplicate.

Body

Copy a published item

parentIdinteger · int32Optional

ID of a new parent published item. To obtain the published item ID, use the Get-PubItem command.

previousIdinteger · int32Optional

ID of a sibling item after which to place the specified published item. To obtain the sibling item ID, use the Get-PubItem command.

Responses
201

Created

application/json; api-version=1.0

RAS Published Item

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

inheritMaintenancebooleanOptional

Inherit Maintenance.

replicateMaintenancebooleanOptional

Replicate Maintenance.

namestring · nullableOptional

Name of the published item.

typestring · enumOptional

RAS Publishing Objects

Possible values:
parentIdinteger · int32Optional

ID of the parent folder of the published item.

previousIdinteger · int32Optional

ID of the previous published item.

descriptionstring · nullableOptional

Description of the published item.

enabledModestring · enumOptional

Published resource availability modes.

Possible values:
enabledbooleanOptional

Whether the published item is enabled or not.

publishToSiteinteger · int32[] · nullableOptional

List of the IDs of all the sites this item is published to.

userFilterEnabledbooleanOptional

Whether User Filtering is enabled or not (deprecated).

clientFilterEnabledbooleanOptional

Whether Client Filtering is enabled or not (deprecated).

allowedClientsstring[] · nullableOptional

Lists the allowed clients (deprecated).

ipFilterEnabledbooleanOptional

Whether IP Filtering is enabled or not (deprecated).

macFilterEnabledbooleanOptional

Whether MAC address Filtering is enabled or not (deprecated).

allowedMACsstring[] · nullableOptional

Lists the allowed MAC addresses (deprecated).

gatewayFilterEnabledbooleanOptionalDeprecated

Whether Gateway Filtering is enabled or not (deprecated).

allowedGatewaysstring[] · nullableOptional

Lists the allowed Gateways (deprecated).

osFilterEnabledbooleanOptional

Whether OS Filtering is enabled or not (deprecated).

preferredRoutingEnabledbooleanOptional

Whether Preferred Routing is enabled or not.

post/api/PubItems/{id}/Copy